Kerbal Space Program - Bug #5188

game ‘crash’' when orbital speed reaches zero
06/29/2015 03:52 PM - speadge

Status: Closed Start date: 06/29/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Trying to get back to kerbin (at least from minmus) and reducing your horizontal and vertical to zero (not'almost’) makes the screen
turn black and change your biome to 'high over the sun'.

The GUI is still visible but you cant See any ship or change to mapview (changing seems to work as the navball vanishes, but screen
doesn't change.

Going back to space center with works, but gives you just an empty space screen in tracking station.
You have to leave the game, restart, load to space center and directly load your last backup (load 'quicksave' from space center),
course accessing tracking station will probably crash it again(at least accessing your vessel again)

History

#1 - 06/30/2015 02:28 PM - Padishar

- Status changed from New to Need More Info

It would be very helpful if you could provide your output_log.txt file from after the problem happens and/or a save file from just before doing the "stop"
manoeuvre.

#2 - 06/30/2015 04:22 PM - speadge

No more info available.
Reproduced it 2 times with a little ship back from minmus.
Quicksave' is overwritten already as | was happy to this situation somehow.

Edit: tried it again. | have no idea where to move to get my hvel to zero just after leaving minmus'soi. | always have sth around 8km\s shown while the
navball orbitmode and my vvel say 0m/s.

So its up to you to set sth up to check how game responds just before and then when reaching hvel and vvel 0.

For me its to much time to fly somewhere and prepare everything to fit. Especially when | have no clue why hvel is hoping between 12km/s and
8km/s.

And no, its not the 'surface speed' compared to kerbin...

#3 - 06/30/2015 05:02 PM - Squelch
- Category changed from Bug Tracker to Gameplay

Without logs and some reproduction steps, we cannot investigate this.

Please use the bug reporting guide for more info.

#4 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:34 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
http://forum.kerbalspaceprogram.com/threads/92230-Stock-Support-Bug-Reporting-Guide

#6 - 08/10/2016 08:15 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
